OFM2OPL(1)

NAME
ofm2opl - convert Omega and TeX font metric (ofm) files to property list (opl) files

SYNOPSIS
ofm2opl [options] ofmname[.ofm] [oplfile[.opl]]

DESCRIPTION
ofm2opl translates a binary Omega font metrics (.ofm) file, ofmname, into a human-readable property-list format (.opl). The program writes to standard output (by default) or to a file specified as oplfile.

The program also works with TeX font metric (.tfm) files, producing TeX property list (.pl) files.

OPTIONS
See tex(1) for details of command-line parsing.

-charcode-format=type
    output character codes according to type, either `hex', `octal' or `ascii'. Default is `hex'; `ascii' says to use ASCII for letters and digits, hex for all else.

-char-format=stype
    output character codes according to stype, either `num' or `ascii'. Default is `num'; `ascii' as in -charcode-format. (These two redundant options both exist only for historical compatibility.)

-num-format=ntype
    output numbers according to ntype, either `hex' or `octal'; default is hex.

-text-format=ttype
    output coding scheme and family according to ttype, either `mixed' or `upper' case; default is mixed.

-help
    output help message and exit

-verbose
    output progress reports

-version
    output version information and exit

These are the same options as in ovf2ovp(1).

SEE ALSO
omega(1), aleph(1), opl2ofm(1), ovf2ovp(1), ovp2ovf(1), pltotf(1), tftopl(1).

AUTHOR
The first TFtoPL program was designed by Leo Guibas in the summer of 1978. Contributions by Frank Liang, Doug Wyatt, and Lyle Ramshaw also had a significant effect on the evolution of the present code. Extensions for an enhanced ligature mechanism were added by D.E. Knuth in 1989.

Extensions to handle Omega's extended font metric files (.ofm) were added by John Plaice in December 1995 and January 1996, resulting in the present program.

ofm2opl was based on the WEB source code for tftopl(1), although nowadays it is a link to omfonts, implemented entirely in C.

The primary authors of Omega were John Plaice and Yannis Haralambous. Omega (and Aleph) are now maintained as part of TeX Live.

This manual page was written by C.M. Connelly for the Debian GNU/Linux system. Both the program and the man page are now maintained as part of TeX Live.

Bug reports and general discussion: https://lists.tug.org/omega